------------------------------------------------------------------------
r19004 | gerald | 2006-08-23 09:19:32 -0500 (Wed, 23 Aug 2006) | 11 lines
Changed paths:
   M /trunk-0.99.3/asn1/snmp/snmp.cnf
   M /trunk-0.99.3/epan/dissectors/packet-snmp.c

Copy over r19002 from the trunk:

User: sahlberg
Date: 2006/08/23 08:05 AM

Log:
 Counter64 should be a FT_UINT64  and not a FT_UINT32
 
 
 fixes bug 1047

------------------------------------------------------------------------
r19000 | gerald | 2006-08-22 17:10:56 -0500 (Tue, 22 Aug 2006) | 8 lines
Changed paths:
   M /trunk-0.99.3/plugins/profinet/packet-pn-mrp.c

Copy over r18996 from the trunk:

User: ulfl
Date: 2006/08/22 07:42 PM

Log:
 fix TLB block alignment to be compatible with the current MRP draft. Would be nice if included in the 0.99.3

------------------------------------------------------------------------
r18994 | gerald | 2006-08-22 10:34:11 -0500 (Tue, 22 Aug 2006) | 3 lines
Changed paths:
   M /trunk-0.99.3/docbook/release-notes.xml

Note that SSCOP must be configured in order to be vulnerable to the
Q.2931 bug.

------------------------------------------------------------------------
r18993 | gerald | 2006-08-22 09:57:39 -0500 (Tue, 22 Aug 2006) | 2 lines
Changed paths:
   M /trunk-0.99.3/docbook/release-notes.xml
   M /trunk-0.99.3/epan/dissectors/packet-q2931.c

Copy over Florent's fix from r18992.

------------------------------------------------------------------------
r18983 | gerald | 2006-08-21 14:28:28 -0500 (Mon, 21 Aug 2006) | 2 lines
Changed paths:
   M /trunk-0.99.3/airpcap_loader.c
   M /trunk-0.99.3/airpcap_loader.h
   M /trunk-0.99.3/gtk/airpcap_dlg.c
   M /trunk-0.99.3/gtk/airpcap_dlg.h
   M /trunk-0.99.3/gtk/airpcap_gui_utils.c
   M /trunk-0.99.3/gtk/airpcap_gui_utils.h

Copy over copyright fixes from r18981.

------------------------------------------------------------------------
r18982 | gerald | 2006-08-21 14:25:38 -0500 (Mon, 21 Aug 2006) | 2 lines
Changed paths:
   M /trunk-0.99.3/docbook/release-notes.xml

Minor updates.

------------------------------------------------------------------------
r18980 | gerald | 2006-08-21 11:28:25 -0500 (Mon, 21 Aug 2006) | 2 lines
Changed paths:
   M /trunk-0.99.3/FAQ
   M /trunk-0.99.3/help/faq.txt
   M /trunk-0.99.3/manuf

Copy over manuf and FAQ updates from r18978 and r18979.

------------------------------------------------------------------------
r18977 | gerald | 2006-08-21 09:42:28 -0500 (Mon, 21 Aug 2006) | 2 lines
Changed paths:
   M /trunk-0.99.3/gtk/menu.c

Copy over Florent Drouin's fix from r18976.

------------------------------------------------------------------------
r18963 | gerald | 2006-08-19 20:46:10 -0500 (Sat, 19 Aug 2006) | 2 lines
Changed paths:
   A /trunk-0.99.3/version.conf

Add a version.conf file for the release.

------------------------------------------------------------------------
r18962 | gerald | 2006-08-19 20:38:41 -0500 (Sat, 19 Aug 2006) | 2 lines
Changed paths:
   M /trunk-0.99.3/Makefile.nmake
   M /trunk-0.99.3/airpcap_loader.c

Copy over AirPcap fixes (r18953 and r18961) from the trunk.

------------------------------------------------------------------------
r18952 | gerald | 2006-08-18 17:19:03 -0500 (Fri, 18 Aug 2006) | 2 lines
Changed paths:
   M /trunk-0.99.3/ChangeLog
   M /trunk-0.99.3/docbook/release-notes.xml

Updates for 0.99.3.

------------------------------------------------------------------------
r18951 | gerald | 2006-08-18 15:31:07 -0500 (Fri, 18 Aug 2006) | 1 line
Changed paths:
   A /trunk-0.99.3 (from /trunk:18950)

Create the 0.99.3 trunk
------------------------------------------------------------------------
r18950 | gerald | 2006-08-18 15:18:38 -0500 (Fri, 18 Aug 2006) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-smb.c

Fix CID 209 (possible NULL dereference).

------------------------------------------------------------------------
r18949 | guy | 2006-08-18 13:18:36 -0500 (Fri, 18 Aug 2006) | 2 lines
Changed paths:
   M /trunk/epan/libwireshark.def

From Gisle Vanem: export the new GUID functions.

------------------------------------------------------------------------
r18948 | gerald | 2006-08-18 10:46:43 -0500 (Fri, 18 Aug 2006) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-dtp.c

Add an attribution.

------------------------------------------------------------------------
r18947 | sahlberg | 2006-08-18 04:32:19 -0500 (Fri, 18 Aug 2006) | 6 lines
Changed paths:
   M /trunk/epan/dissectors/packet-dcerpc.c
   M /trunk/gtk/main.c
   M /trunk/tshark.c

guids are not olnly used in dcerpc interfaces   and they often occur in many other protocols such as ldap and smb/smb2


move the initialization of the guid mapping table from the dcerpc dissector to a more neutral place


------------------------------------------------------------------------
r18946 | sahlberg | 2006-08-18 04:27:40 -0500 (Fri, 18 Aug 2006) | 3 lines
Changed paths:
   M /trunk/epan/guid-utils.c

change the guid mapping code to use a tree isntead of a hashtable


------------------------------------------------------------------------
r18945 | guy | 2006-08-18 04:01:20 -0500 (Fri, 18 Aug 2006) | 4 lines
Changed paths:
   M /trunk/wiretap/nettl.c

Rework some of the header processing, to handle some additional nettl
files, and to clean the code up a bit - and incorporate some fixes to
the rework, and other fixes, from Mark C. Brown.

------------------------------------------------------------------------
r18944 | sahlberg | 2006-08-18 03:46:31 -0500 (Fri, 18 Aug 2006) | 23 lines
Changed paths:
   M /trunk/AUTHORS
   M /trunk/epan/dissectors/Makefile.common
   M /trunk/epan/dissectors/packet-ethertype.c
   A /trunk/epan/dissectors/packet-llt.c
   M /trunk/epan/etypes.h

from stephen f

new protocol: veritas low latency transport

---
Attached is a patch file that adds a new dissector for the LLT protocol
(Veritas Low Level Transport, used for server clustering).  They use
ethertype 0xCAFE even though it isn't assigned to them :(.  There are
other fields and possibly other message types directly between servers
it does not yet dissect as no one outside of Veritas knows what they
are.  This dissector understands the one people will run across most -
multiple servers broadcasting these heartbeats all over the place.  I
figured out these fields through many Internet searches.

I will add the protocol to the Wiki after it is committed.


Thanks,
  Steve




------------------------------------------------------------------------
r18943 | gerald | 2006-08-17 19:22:48 -0500 (Thu, 17 Aug 2006) | 2 lines
Changed paths:
   M /trunk/docbook/release-notes.xml
   M /trunk/epan/dissectors/packet-ipsec.c

Fix two remaining off-by-one errors.  Remove a static buffer.

------------------------------------------------------------------------
r18942 | gerald | 2006-08-17 18:35:45 -0500 (Thu, 17 Aug 2006) | 2 lines
Changed paths:
   M /trunk/version_info.c

Include strutil.h.

------------------------------------------------------------------------
r18941 | etxrab | 2006-08-17 15:32:06 -0500 (Thu, 17 Aug 2006) | 11 lines
Changed paths:
   M /trunk/epan/dissectors/packet-cdp.c

From Stephen Fisher:
the attached patch removes the 
redundant "Cisco Discovery Protocol" from the info column:

Before:

  Cisco Discovery Protocol  Device ID: myswitch.domain.com  Port ID: GigabitEthernet3/17

After:

  Device ID: myswitch.domain.com  Port ID: GigabitEthernet3/17
------------------------------------------------------------------------
r18940 | etxrab | 2006-08-17 15:24:05 -0500 (Thu, 17 Aug 2006) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-juniper.c
   M /trunk/wiretap/libpcap.c
   M /trunk/wiretap/wtap.c
   M /trunk/wiretap/wtap.h

From Hannes Gredler:
A patch that adds support for dissection of
libpcap DLT_JUNIPER_VP frames. In addition i have fixed
also the indent for DLT_JUNIPER_GGSN.
------------------------------------------------------------------------
r18939 | ulfl | 2006-08-17 14:09:41 -0500 (Thu, 17 Aug 2006) | 6 lines
Changed paths:
   M /trunk/epan/dissectors/packet-dcerpc-epm.c
   M /trunk/epan/dissectors/packet-dcerpc.c
   M /trunk/epan/dissectors/packet-dcerpc.h
   M /trunk/epan/dissectors/packet-dcom-cba-acco.c
   M /trunk/epan/dissectors/packet-dcom-cba.c
   M /trunk/epan/dissectors/packet-dcom-remunkn.c
   M /trunk/epan/dissectors/packet-dcom.c
   M /trunk/epan/dissectors/packet-dcom.h
   M /trunk/epan/guid-utils.c
   M /trunk/epan/guid-utils.h

some further work on the GUID/UUID resolvings

most of the relevant code moved to guid_utils
lot of corresponding code cleanup in packet-dcerpc.c
still using GHashTable
still not using a manuf like file
------------------------------------------------------------------------
r18938 | jmayer | 2006-08-17 06:56:35 -0500 (Thu, 17 Aug 2006) | 9 lines
Changed paths:
   M /trunk/epan/dissectors/packet-rsvp.c

Muthu Krishnan V <muthukrishnanv@gmail.com>

As per RFC 4090, In the FAST_REROUTE Object, Include-any starts
at the 12th byte and Exclude-any starts at the 16th byte.

Ethereal has inter-changed these two fields in its display.

*Ethereal* bug 1043.

------------------------------------------------------------------------
r18937 | sahlberg | 2006-08-17 03:17:48 -0500 (Thu, 17 Aug 2006) | 7 lines
Changed paths:
   M /trunk/epan/emem.c
   M /trunk/epan/emem.h
   M /trunk/epan/libwireshark.def

add trees with PErmanent allocation scope which will be useful for constructing
associative arrays for globally unique and persistent mappings such as
oid to name
sid to name
guid to name


------------------------------------------------------------------------
r18936 | sahlberg | 2006-08-17 02:35:58 -0500 (Thu, 17 Aug 2006) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-dcerpc.c

add missing _WIN32 encapsulation so braces match and compilation under non-win32 works


------------------------------------------------------------------------
r18935 | ulfl | 2006-08-16 18:13:26 -0500 (Wed, 16 Aug 2006) | 5 lines
Changed paths:
   M /trunk/epan/Makefile.common
   M /trunk/epan/dissectors/packet-dcerpc-epm.c
   M /trunk/epan/dissectors/packet-dcerpc.c
   M /trunk/epan/dissectors/packet-dcom-cba.c
   M /trunk/epan/dissectors/packet-dcom-remact.c
   M /trunk/epan/dissectors/packet-dcom-remunkn.c
   M /trunk/epan/dissectors/packet-dcom.c
   M /trunk/epan/dissectors/packet-dcom.h
   A /trunk/epan/guid-utils.c
   M /trunk/epan/guid-utils.h

various UUID/GUID based changes.

I think I've changed all corresponding appearances from FT_STRING to FT_GUID, so assert the FT_ type as it should only be a FT_GUID now.

Add a generic implementation in guid_utils.h to have a way to store data about GUID to name resolving (something like value_string for e.g. int). It might be better to have a single registry for all GUID's of all dissectors and implement the GUID name resolving into the proto_tree_add... functions.
------------------------------------------------------------------------
r18934 | ulfl | 2006-08-16 17:59:55 -0500 (Wed, 16 Aug 2006) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-dcom-dispatch.c
   M /trunk/epan/dissectors/packet-dcom-oxid.c

FT_STRING -> FT_GUID
------------------------------------------------------------------------
r18933 | ulfl | 2006-08-16 17:56:55 -0500 (Wed, 16 Aug 2006) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-dcom-cba-acco.c

lower the expert info levels WARN -> NOTE for missing references

fix an iteration bug in cba_connection_disconnectme()
------------------------------------------------------------------------
r18932 | ulfl | 2006-08-16 17:45:51 -0500 (Wed, 16 Aug 2006) | 1 line
Changed paths:
   M /trunk/config.nmake

rollback some IMO unintended changes to the config settings
------------------------------------------------------------------------
r18931 | ulfl | 2006-08-16 15:55:21 -0500 (Wed, 16 Aug 2006) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-dcerpc-afs4int.c
   M /trunk/epan/dissectors/packet-dcerpc-conv.c
   M /trunk/epan/dissectors/packet-dcerpc-fldb.c
   M /trunk/epan/dissectors/packet-dcerpc-nt.c
   M /trunk/epan/dissectors/packet-dcerpc-rs_pgo.c

FT_STRING -> FT_GUID
------------------------------------------------------------------------
r18930 | ulfl | 2006-08-16 15:52:51 -0500 (Wed, 16 Aug 2006) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-tcp.c

Don't mark a TCP packet as a "Duplicate ACK" if the flags don't have the ACK flag set (IMHO it's not an ACK in that case). This happens sometimes between FIN and RST packets.

Ronnie, could you check if this change is ok?
------------------------------------------------------------------------
r18929 | sahlberg | 2006-08-16 14:38:39 -0500 (Wed, 16 Aug 2006) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-smb.c

add tracking of fid type to objects opened by NT CREATE   so that we can dissect aces properly also for these fids


------------------------------------------------------------------------
r18928 | gerald | 2006-08-16 13:01:25 -0500 (Wed, 16 Aug 2006) | 8 lines
Changed paths:
   M /trunk/Makefile.common
   M /trunk/Makefile.nmake
   A /trunk/airpcap.h
   A /trunk/airpcap_loader.c
   A /trunk/airpcap_loader.h
   M /trunk/config.h.win32
   M /trunk/config.nmake
   M /trunk/epan/dissectors/packet-radiotap.c
   M /trunk/gtk/Makefile.am
   M /trunk/gtk/Makefile.common
   A /trunk/gtk/airpcap_dlg.c
   A /trunk/gtk/airpcap_dlg.h
   A /trunk/gtk/airpcap_gui_utils.c
   A /trunk/gtk/airpcap_gui_utils.h
   M /trunk/gtk/capture_dlg.c
   M /trunk/gtk/capture_dlg.h
   M /trunk/gtk/capture_if_dlg.c
   M /trunk/gtk/capture_info_dlg.c
   M /trunk/gtk/compat_macros.h
   M /trunk/gtk/gui_utils.c
   M /trunk/gtk/gui_utils.h
   M /trunk/gtk/keys.h
   M /trunk/gtk/main.c
   M /trunk/gtk/main.h
   M /trunk/gtk/menu.c
   M /trunk/gtk/recent.c
   M /trunk/gtk/recent.h
   A /trunk/image/toolbar/capture_airpcap_16.xpm
   A /trunk/image/toolbar/capture_capture_16.xpm
   A /trunk/image/toolbar/capture_details_16.xpm
   A /trunk/image/toolbar/capture_ethernet_16.xpm
   A /trunk/image/toolbar/capture_prepare_16.xpm
   A /trunk/image/toolbar/wep_closed_24.xpm

Add support for AirPcap, an upcoming wireless product from CACE.  Support
is disabled by default, and can be enabled by setting AIRPCAP_CONFIG
in config.nmake.  The code is currently limited to Windows, but should
be adaptable to other platforms.

The official announcement won't come until next week, so you'll have to
read the source for details.  :)

------------------------------------------------------------------------
r18927 | sahlberg | 2006-08-16 05:35:04 -0500 (Wed, 16 Aug 2006) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-smb.c

use the same structure to pass the fid type information from nt transaction parameter to nt transaction data dissector for both ssd and qsd instead of two different ones



------------------------------------------------------------------------
r18926 | sahlberg | 2006-08-16 04:22:36 -0500 (Wed, 16 Aug 2006) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-smb.c
   M /trunk/epan/dissectors/packet-smb.h

track fid types between NT TRans QUERY_SECURITY_DESCRIPTOR and dissect the ACEs properly



------------------------------------------------------------------------
r18925 | sahlberg | 2006-08-16 04:02:15 -0500 (Wed, 16 Aug 2006) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-smb.c

 add dissection of DIRECTORY specific bits of the accessmask for SET_SECURITY_DESCRIPTOR



------------------------------------------------------------------------
r18924 | sahlberg | 2006-08-16 03:48:00 -0500 (Wed, 16 Aug 2006) | 5 lines
Changed paths:
   M /trunk/epan/dissectors/packet-smb.c

add code to dissect FILE specific bits for the accessmask inside a security descriptor and have SET_SECURITY_DESCRIPTOR use it  so that security descriptors for files  held inside SET_SECURITY_DESCRIPTOR are decoded properly




------------------------------------------------------------------------
r18923 | kukosa | 2006-08-16 03:07:30 -0500 (Wed, 16 Aug 2006) | 3 lines
Changed paths:
   M /trunk/asn1/h225/h225.cnf
   M /trunk/epan/dissectors/packet-h225.c
   M /trunk/epan/dissectors/packet-per.c
   M /trunk/epan/dissectors/packet-per.h

- add value_ptr into struct _asn1_ctx_t
- small changes in h225.cnf
- H.225 regenerated
------------------------------------------------------------------------
r18922 | sahlberg | 2006-08-16 03:00:46 -0500 (Wed, 16 Aug 2006) | 13 lines
Changed paths:
   M /trunk/epan/dissectors/packet-smb.c
   M /trunk/epan/dissectors/packet-smb.h

 add a type field for the fid tracking structure and initialize it to UNKNOWN

when files are opened using NTCreateAndX  and if we recognize the type   set the type field to either FILE, DIR or PIPE

This is useful to know when dissecting things like security descriptors since it tells us how to dissect the specific bits of the access mask.


Only do this for NTCreateAndX for now.   It is trivial to add similar tracking to some of the older   obsolete   calls used to open fids    but no clients ever use those old calls any more.





------------------------------------------------------------------------
r18921 | kukosa | 2006-08-16 00:58:39 -0500 (Wed, 16 Aug 2006) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-MAP_DialoguePDU.c
   M /trunk/epan/dissectors/packet-acp133.c
   M /trunk/epan/dissectors/packet-acse.c
   M /trunk/epan/dissectors/packet-camel.c
   M /trunk/epan/dissectors/packet-cdt.c
   M /trunk/epan/dissectors/packet-cdt.h
   M /trunk/epan/dissectors/packet-cmip.c
   M /trunk/epan/dissectors/packet-cmp.c
   M /trunk/epan/dissectors/packet-cms.c
   M /trunk/epan/dissectors/packet-crmf.c
   M /trunk/epan/dissectors/packet-dap.c
   M /trunk/epan/dissectors/packet-disp.c
   M /trunk/epan/dissectors/packet-dop.c
   M /trunk/epan/dissectors/packet-dsp.c
   M /trunk/epan/dissectors/packet-ess.c
   M /trunk/epan/dissectors/packet-ftam.c
   M /trunk/epan/dissectors/packet-ftbp.c
   M /trunk/epan/dissectors/packet-gnm.c
   M /trunk/epan/dissectors/packet-gsm_map.c
   M /trunk/epan/dissectors/packet-gsm_ss.c
   M /trunk/epan/dissectors/packet-h225.c
   M /trunk/epan/dissectors/packet-h235.c
   M /trunk/epan/dissectors/packet-h245.c
   M /trunk/epan/dissectors/packet-h248.c
   M /trunk/epan/dissectors/packet-h450.c
   M /trunk/epan/dissectors/packet-inap.c
   M /trunk/epan/dissectors/packet-ldap.c
   M /trunk/epan/dissectors/packet-logotypecertextn.c
   M /trunk/epan/dissectors/packet-mms.c
   M /trunk/epan/dissectors/packet-nbap.c
   M /trunk/epan/dissectors/packet-ns_cert_exts.c
   M /trunk/epan/dissectors/packet-ocsp.c
   M /trunk/epan/dissectors/packet-pkcs1.c
   M /trunk/epan/dissectors/packet-pkinit.c
   M /trunk/epan/dissectors/packet-pkix1explicit.c
   M /trunk/epan/dissectors/packet-pkix1implicit.c
   M /trunk/epan/dissectors/packet-pkixproxy.c
   M /trunk/epan/dissectors/packet-pkixqualified.c
   M /trunk/epan/dissectors/packet-pkixtsp.c
   M /trunk/epan/dissectors/packet-pres.c
   M /trunk/epan/dissectors/packet-ranap.c
   M /trunk/epan/dissectors/packet-rnsap.c
   M /trunk/epan/dissectors/packet-ros.c
   M /trunk/epan/dissectors/packet-rrlp.c
   M /trunk/epan/dissectors/packet-rtse.c
   M /trunk/epan/dissectors/packet-s4406.c
   M /trunk/epan/dissectors/packet-smrse.c
   M /trunk/epan/dissectors/packet-snmp.c
   M /trunk/epan/dissectors/packet-spnego.c
   M /trunk/epan/dissectors/packet-tcap.c
   M /trunk/epan/dissectors/packet-ulp.c
   M /trunk/epan/dissectors/packet-umts_rrc.c
   M /trunk/epan/dissectors/packet-umts_rrc_ies.c
   M /trunk/epan/dissectors/packet-umts_rrc_pdu_def.c
   M /trunk/epan/dissectors/packet-wlancertextn.c
   M /trunk/epan/dissectors/packet-x411.c
   M /trunk/epan/dissectors/packet-x420.c
   M /trunk/epan/dissectors/packet-x509af.c
   M /trunk/epan/dissectors/packet-x509ce.c
   M /trunk/epan/dissectors/packet-x509if.c
   M /trunk/epan/dissectors/packet-x509sat.c

ASN.1 dissectors regenerated with new asn2wrs to get updated field blurb
------------------------------------------------------------------------
r18920 | jmayer | 2006-08-15 19:12:02 -0500 (Tue, 15 Aug 2006) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-bootp.c

Always print length as well as type in Option line.
Count amount of padding.


------------------------------------------------------------------------
r18919 | gerald | 2006-08-15 15:54:51 -0500 (Tue, 15 Aug 2006) | 2 lines
Changed paths:
   M /trunk/docbook/release-notes.xml

Update for 0.99.3.

------------------------------------------------------------------------
r18918 | jmayer | 2006-08-15 15:46:13 -0500 (Tue, 15 Aug 2006) | 7 lines
Changed paths:
   M /trunk/epan/dissectors/packet-bacapp.c

Steve Karg <skarg@users.sourceforge.net>

I made a small change in packet-bacapp.c to fix the following:
1. Corrected Signed value decoding for a one octet value.
2. Corrected Priority values to decode as Unsigned values.


------------------------------------------------------------------------
r18917 | sahlberg | 2006-08-15 15:35:52 -0500 (Tue, 15 Aug 2006) | 3 lines
Changed paths:
   M /trunk/epan/libwireshark.def

export ep_free_all


------------------------------------------------------------------------
r18916 | jmayer | 2006-08-15 15:32:08 -0500 (Tue, 15 Aug 2006) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-bootp.c

Complete: Make dhcp options filterable
------------------------------------------------------------------------
r18915 | gerald | 2006-08-15 14:28:07 -0500 (Tue, 15 Aug 2006) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ipsec.c

Fix CIDs 204 - 208.

------------------------------------------------------------------------
r18914 | jmayer | 2006-08-15 13:16:56 -0500 (Tue, 15 Aug 2006) | 8 lines
Changed paths:
   M /trunk/epan/dissectors/packet-isakmp.c

Eric Fung <efung@certicom.com>

A very tiny patch that corrects decoding of the Next Payload field in
the IKEv2 header. RFC 4306, Sec 3.2 says that a payload type of 0
means "No Next Payload" and not RESERVED. The patch just uses the
same string the dissector uses for IKEv1, namely, "NONE".


------------------------------------------------------------------------
r18913 | jmayer | 2006-08-15 13:13:35 -0500 (Tue, 15 Aug 2006) | 9 lines
Changed paths:
   M /trunk/epan/dissectors/packet-text-media.c

Mike Duigou <wireshark@duigou.org>

The enclosed patch updates the set of mime types for line oriented text
data per RFC 2046.

Me:

Remove application/postscript, as it may be binary.

------------------------------------------------------------------------
r18912 | jmayer | 2006-08-15 08:24:02 -0500 (Tue, 15 Aug 2006) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-bootp.c

Start making dhcp options filterable (special cases still missing)
------------------------------------------------------------------------
r18911 | kukosa | 2006-08-15 08:24:00 -0500 (Tue, 15 Aug 2006) | 1 line
Changed paths:
   M /trunk/tools/asn2wrs.py

filed blurb changed to "proto.WrsType" variant
------------------------------------------------------------------------
r18910 | kukosa | 2006-08-15 08:14:43 -0500 (Tue, 15 Aug 2006) | 1 line
Changed paths:
   M /trunk/tools/lex.py
   M /trunk/tools/yacc.py

Ply updated to version 1.8
------------------------------------------------------------------------
r18909 | jmayer | 2006-08-15 06:44:25 -0500 (Tue, 15 Aug 2006) | 2 lines
Changed paths:
   M /trunk/docbook

Update svn:ignore to changed names (eug->wsug etc).

------------------------------------------------------------------------
r18908 | jmayer | 2006-08-15 06:31:55 -0500 (Tue, 15 Aug 2006) | 25 lines
Changed paths:
   M /trunk/AUTHORS
   M /trunk/epan/dissectors/Makefile.common
   A /trunk/epan/dissectors/packet-2dparityfec.c

Mark Lewis <mlewis@altera.com>

I have developed a plugin for Pro-MPEG FEC packets over RTP (see
previous posts on ethereal-dev). I have added a page and example capture
file to the Wiki (http://wiki.wireshark.org/2dParityFEC). The source and
Windows makefile for the plugin are attached. Unfortunately I do not
have access to other systems so this plugin has been tested on Windows
only.


The attached version of my plug-in has only had the copyright header
added.
I will translate this into a proper dissector rather than a plug-in as
requested, but this may take a little time as I have a lot of other
things
to do at the moment.

Me:

Convert into a normal dissector
Reorder / reformat code a bit
Added Marks name to the top of the file.



------------------------------------------------------------------------
r18907 | jmayer | 2006-08-15 04:49:06 -0500 (Tue, 15 Aug 2006) | 1 line
Changed paths:
   D /trunk/epan/AUTHORS
   D /trunk/epan/ChangeLog
   D /trunk/epan/NEWS
   D /trunk/epan/README

Remove no longer needed dummy files
------------------------------------------------------------------------
r18906 | jmayer | 2006-08-15 01:40:26 -0500 (Tue, 15 Aug 2006) | 6 lines
Changed paths:
   M /trunk/epan/dissectors/packet-http.c
   M /trunk/epan/dissectors/packet-http.h


Stephen Fisher <stephentfisher@yahoo.com>

Could you apply the attached patch also to finish it off - I
failed to include it in the original e-mail.

------------------------------------------------------------------------
r18905 | sahlberg | 2006-08-14 21:21:08 -0500 (Mon, 14 Aug 2006) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-dcerpc-netlogon.c

add decode of trust attribute flags   as documented in samba4 netlogon idl


------------------------------------------------------------------------
r18904 | ulfl | 2006-08-14 18:39:48 -0500 (Mon, 14 Aug 2006) | 7 lines
Changed paths:
   M /trunk/epan/dissectors/packet-dcom-oxid.c
   M /trunk/epan/dissectors/packet-dcom-remact.c
   M /trunk/epan/dissectors/packet-dcom-remunkn.c
   M /trunk/epan/dissectors/packet-dcom.c
   M /trunk/epan/dissectors/packet-dcom.h

various minor DCOM dissection enhancements:

- add a generic guid register to dissect UUID's (move this to a seperate file?)
- this enables us to set some known names for special UUID's
- use standard DCOM fields for IID and alike in remunk.c
- cleanup dcom_protseq_vals handling
- some FT_STRING to FT_GUID changes
------------------------------------------------------------------------
r18903 | gerald | 2006-08-14 17:34:46 -0500 (Mon, 14 Aug 2006) | 5 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ipsec.c
   M /trunk/gtk/prefs_dlg.c

Put protocol preferences in a scrolled window, in case a particular
protocol has a lot of preference items.  Change the number of
configurable ESP SAs to 16 (in case someone needs do decrypt many
sessions in a single trace file).  Fix up whitespace.

------------------------------------------------------------------------
r18902 | jmayer | 2006-08-14 17:04:05 -0500 (Mon, 14 Aug 2006) | 2 lines
Changed paths:
   A /trunk/debian/compat
   A /trunk/debian/watch

The checkin from three weeks ago missed two files...

------------------------------------------------------------------------
r18901 | jmayer | 2006-08-14 16:46:05 -0500 (Mon, 14 Aug 2006) | 11 lines
Changed paths:
   M /trunk/epan/dissectors/packet-http.c

Stephen Fisher <stephentfisher@yahoo.com>

Attached is a patch to packet-http.c that calls a subdissector for
traffic flowing through a proxy via the HTTP CONNECT method.  Most
protocols, especially SSL, can be tunneled through an HTTP proxy.
Wireshark currently says this traffic is "Continuation or non-HTTP
traffic" but this patch turns the payload over to the dissector for the
protocol being tunneled.  This is similar to how the Socks dissector
works.


------------------------------------------------------------------------
r18900 | jmayer | 2006-08-14 16:37:12 -0500 (Mon, 14 Aug 2006) | 19 lines
Changed paths:
   M /trunk/epan/dissectors/packet-l2tp.c

Carlos Pignataro <cpignata@cisco.com>

Please find attached a patch with updates to l2tpv3's l2_sublayer_vals
and pw_types_vals numbers (and pw type decoding).

The previous values belong to a different number space, "MPLS Pseudowire
Types Registry" in http://www.iana.org/assignments/pwe3-parameters, used
by LDP. The new values belong to the correct number space, "L2TPv3
Pseudowire Types" in http://www.iana.org/assignments/l2tp-parameters,
used by L2TPv3. Note that one is a 15-bit number while the other is a
16-bit number. So it's not really removing half of the values; even
though there are some numerical "matches" in the two registries, there
are differences (see for example 12 and 13, and some name changes). From
my knowledge the values not registered are also not used (and part of
the intention of the patch is that they are not misused); a fair
assumption is that it was a clerical error mis-assuming the two
protocols, LDP and L2TPv3, used the same space for "PW Types".


------------------------------------------------------------------------
r18899 | jmayer | 2006-08-14 16:28:37 -0500 (Mon, 14 Aug 2006) | 1 line
Changed paths:
   M /trunk/manuf

Update
------------------------------------------------------------------------
r18898 | jmayer | 2006-08-14 16:24:00 -0500 (Mon, 14 Aug 2006) | 6 lines
Changed paths:
   M /trunk/tools/pidl/idl.yp
   M /trunk/tools/pidl/lib/Parse/Pidl/IDL.pm

Update from samba tree revision 16838 to 17541
============================ Samba log start ============
svn: When specifying working copy paths, only one target may be given
============================ Samba log end ==============


------------------------------------------------------------------------
r18897 | ulfl | 2006-08-14 15:47:54 -0500 (Mon, 14 Aug 2006) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-dcom-dispatch.c

add a value_string for the LCID field
------------------------------------------------------------------------
r18896 | ulfl | 2006-08-14 15:41:46 -0500 (Mon, 14 Aug 2006) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-dcom-cba-acco.c

fix some dissection bugs
------------------------------------------------------------------------
r18895 | sahlberg | 2006-08-14 04:36:15 -0500 (Mon, 14 Aug 2006) | 15 lines
Changed paths:
   M /trunk/epan/emem.c
   M /trunk/epan/emem.h
   M /trunk/epan/libwireshark.def

make creation of subtrees used for the _array tree type use the same allocation scope as its parent  and thus become allocation scope agnostic


change all accessor functions to be defines to the emem_tree_ functions.



now   to create a tree with a different scope we only need to create a new
..._tree_create() function   and set up the appropriate defines


(it was a mistake to call the functions   se_tree_create   and se_tree_create_non_persistent,     they should be the other way around    i.e.  se_tree_create_persistent   and se_tree_create )



------------------------------------------------------------------------
r18894 | sahlberg | 2006-08-14 03:29:29 -0500 (Mon, 14 Aug 2006) | 3 lines
Changed paths:
   M /trunk/asn1/h248/packet-h248-template.c
   M /trunk/doc/README.binarytrees
   M /trunk/doc/README.request_response_tracking
   M /trunk/epan/dissectors/packet-alcap.c
   M /trunk/epan/dissectors/packet-bthci_acl.c
   M /trunk/epan/dissectors/packet-btl2cap.c
   M /trunk/epan/dissectors/packet-btrfcomm.c
   M /trunk/epan/dissectors/packet-fc.c
   M /trunk/epan/dissectors/packet-fcp.c
   M /trunk/epan/dissectors/packet-h248.c
   M /trunk/epan/dissectors/packet-h248.h
   M /trunk/epan/dissectors/packet-iscsi.c
   M /trunk/epan/dissectors/packet-ndmp.c
   M /trunk/epan/dissectors/packet-nfs.c
   M /trunk/epan/dissectors/packet-pana.c
   M /trunk/epan/dissectors/packet-sccp.c
   M /trunk/epan/dissectors/packet-smb.c
   M /trunk/epan/dissectors/packet-smb.h
   M /trunk/epan/dissectors/packet-tcp.c
   M /trunk/epan/dissectors/packet-tcp.h
   M /trunk/epan/emem.c
   M /trunk/epan/emem.h

rename some structures and defines from the se_tree to the emem_tree prefix


------------------------------------------------------------------------
r18893 | ulfl | 2006-08-13 12:49:58 -0500 (Sun, 13 Aug 2006) | 4 lines
Changed paths:
   M /trunk/gtk/capture_if_details_dlg.c

Slight changes suggested by Jörg Mayer:
2,412,000 kHz -> 2412 MHz
Available networks -> Available networks (BSSID list)

------------------------------------------------------------------------
r18892 | ulfl | 2006-08-13 10:33:23 -0500 (Sun, 13 Aug 2006) | 1 line
Changed paths:
   M /trunk/dumpcap.c

put utf_16to8 under #ifdef _WIN32, thanks Toralf
------------------------------------------------------------------------
r18891 | ulfl | 2006-08-13 07:12:06 -0500 (Sun, 13 Aug 2006) | 3 lines
Changed paths:
   M /trunk/dumpcap.c
   M /trunk/version_info.c

another place missing a call to utf_16to8(), the about box was showing "Windows XP S", where it should be "Windows XP Service Pack 2"

dumpcap uses this too, so I had to duplicate utf_16to8 there :-(
------------------------------------------------------------------------
r18890 | ulfl | 2006-08-12 20:07:46 -0500 (Sat, 12 Aug 2006) | 1 line
Changed paths:
   M /trunk/config.nmake

fix #1007: using PCAP_BREAKLOOP breaks compatibility with WinPcap 3.0, without providing any benefit on Win32, so don't use it
------------------------------------------------------------------------
r18889 | ulfl | 2006-08-12 19:13:22 -0500 (Sat, 12 Aug 2006) | 2 lines
Changed paths:
   M /trunk/doc/wireshark.pod
   M /trunk/gtk/main.c

"bug" #1013: from Stephen Fisher
add the X --display command line parameter to the documentation
------------------------------------------------------------------------
r18888 | sahlberg | 2006-08-12 18:27:22 -0500 (Sat, 12 Aug 2006) | 3 lines
Changed paths:
   M /trunk/epan/emem.c
   M /trunk/epan/emem.h

put a memory allocator function pointer inside the tree structure so that all accessor functions become storage scope agnostic


------------------------------------------------------------------------
r18887 | ulfl | 2006-08-12 18:12:21 -0500 (Sat, 12 Aug 2006) | 1 line
Changed paths:
   M /trunk/gtk/capture_if_details_dlg.c

some enhancements to the WLAN details
------------------------------------------------------------------------
r18886 | sahlberg | 2006-08-12 17:43:12 -0500 (Sat, 12 Aug 2006) | 11 lines
Changed paths:
   M /trunk/epan/emem.c

rename some inline functions from se_ to emem_ prefix as a first step to generalize
teh tree management and to use trees with different storage scope without too much code duplication.


it would be useful with a tree that had indefinite storage instead of the emem functions which commonly have ep or se storage scope.

indefinite storage scope would be useful for example for managing a global and static set of well known guid to name mappings(not yet implemented)    and also for
oid to name mappings.

 

------------------------------------------------------------------------
r18885 | ulfl | 2006-08-12 17:38:08 -0500 (Sat, 12 Aug 2006) | 1 line
Changed paths:
   M /trunk/gtk/main.c
   M /trunk/gtk/menu.c

experimental: add a "Conversation Filter" entry to the context menu of the packet list. More info to come in the developer list shortly.
------------------------------------------------------------------------
r18884 | ulfl | 2006-08-12 17:02:37 -0500 (Sat, 12 Aug 2006) | 5 lines
Changed paths:
   M /trunk/gtk/gui_utils.c

fix #973: if the window is minimized while you close Wireshark, (at least the Win32 version) will save -32000 for the x and y values, which is obviously out of the screen the next time.

Simply ignore the incoming values of -32000 by not calling gtk_window_move() / gtk_widget_set_uposition() in that case.

I don't know what the Unix GLib version will do in that case.
------------------------------------------------------------------------
r18883 | ulfl | 2006-08-12 16:06:24 -0500 (Sat, 12 Aug 2006) | 3 lines
Changed paths:
   M /trunk/config.h.win32

fix for bug #1025: It should be no longer necessary to use the I64x format string for Win32, simply use the llx format string as for the Unix variants, which should be safe as we only use GLib's g_snprintf() function instead of the MSVC one's from snprintf.h

The real cause of this: There's a bug in GLib's snprintf implementation which crashes with the I64x format string and certain (negative?) values.
------------------------------------------------------------------------
r18882 | ulfl | 2006-08-11 14:15:12 -0500 (Fri, 11 Aug 2006) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-dcom-cba-acco.c
   M /trunk/epan/dissectors/packet-dcom-cba-acco.h
   M /trunk/epan/dissectors/packet-dcom-cba.c
   M /trunk/epan/dissectors/packet-dcom-dispatch.c
   M /trunk/epan/dissectors/packet-dcom-oxid.c
   M /trunk/epan/dissectors/packet-dcom-remact.c
   M /trunk/epan/dissectors/packet-dcom-remunkn.c
   M /trunk/epan/dissectors/packet-dcom-sysact.c
   M /trunk/epan/dissectors/packet-dcom.c
   M /trunk/epan/dissectors/packet-dcom.h

add an experimental DCOM object "database" based on the exchanged interface pointers
add a lot more PROFINET CBA dissection output based on these DCOM context information
still need some improvements, e.g. dissection uses a simple (slow) linear list search
changes are fuzz-tested
------------------------------------------------------------------------
r18881 | sahlberg | 2006-08-11 02:59:58 -0500 (Fri, 11 Aug 2006) | 6 lines
Changed paths:
   M /trunk/asn1/ldap/packet-ldap-template.c
   M /trunk/epan/dissectors/packet-ldap.c

for sec descriptors found inside ldap
decode the specific bits of the accessmask as the ldap specific accessmask bits

bit definitions from samba4


------------------------------------------------------------------------
r18880 | guy | 2006-08-10 19:11:11 -0500 (Thu, 10 Aug 2006) | 6 lines
Changed paths:
   M /trunk/README.bsd

From Stephen Fisher: add more information on configuring for BSD,
modernize the section on BPF (modern BSDs have BPF built in and clone
BPF devices, so no configuration should be necessary; we can add back
the old instructions if people using older BSDs run into problems), and
add information on making BPF devices available to non-root users.

------------------------------------------------------------------------
r18879 | jmayer | 2006-08-10 15:49:58 -0500 (Thu, 10 Aug 2006) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-bootp.c

Change a label a bit to be able to differentiate it from the default
case.

------------------------------------------------------------------------
r18878 | jmayer | 2006-08-10 15:41:50 -0500 (Thu, 10 Aug 2006) | 9 lines
Changed paths:
   M /trunk/epan/dissectors/packet-prism.c
   M /trunk/epan/dissectors/packet-wlancap.c
   M /trunk/epan/dissectors/packet-wlancap.h

Solomon Peachy:

I've attached a patch to the "wlan capture header" dissector to bring it
in line with the current frame format, and a proper URL to obtain said
format.   Nothing major, just the addition of a couple of fields and
definitions.  The dissector remains backwards-compatible with the older
format.


------------------------------------------------------------------------
r18877 | ulfl | 2006-08-10 14:51:14 -0500 (Thu, 10 Aug 2006) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-dcom-cba-acco.c

PN-CBA may also use class 2 frames
------------------------------------------------------------------------
r18876 | ulfl | 2006-08-10 14:45:14 -0500 (Thu, 10 Aug 2006) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-pn-rt.c

fix a misleading text
------------------------------------------------------------------------
r18875 | sahlberg | 2006-08-10 08:21:57 -0500 (Thu, 10 Aug 2006) | 5 lines
Changed paths:
   M /trunk/epan/dissectors/packet-windows-common.c

 add missing ace revision 4  and several new types   some of which contain optional GUIDs

from samba4   security.idl


------------------------------------------------------------------------
r18874 | jmayer | 2006-08-10 07:29:21 -0500 (Thu, 10 Aug 2006) | 6 lines
Changed paths:
   M /trunk/packaging/rpm/SPECS/wireshark.spec.in

As reported by Chris Maynard:
wireshark was located in /usr/X11R6/bin while dumpcap
int /usr/bin. That way wireshark couldn't find dumpcap.

Install wireshark in the same path as dumpcap and tshark.

------------------------------------------------------------------------
r18873 | jmayer | 2006-08-10 06:37:24 -0500 (Thu, 10 Aug 2006) | 1 line
Changed paths:
   M /trunk/asn1/Makefile.am

Fix some typos the prevented make distdir from succeeding
------------------------------------------------------------------------
r18872 | jmayer | 2006-08-10 06:18:02 -0500 (Thu, 10 Aug 2006) | 7 lines
Changed paths:
   M /trunk/epan/dissectors/Makefile.common
   A /trunk/epan/dissectors/packet-jpeg.c

Erwin Rol:
        Attached a dissector for JPEG images in RTP streams, AKA
        RFC2435.

Me: Fixed a warning (guint8 <= 255 is always true)


------------------------------------------------------------------------
r18871 | sahlberg | 2006-08-10 05:52:16 -0500 (Thu, 10 Aug 2006) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ntlmssp.c

create subtrees also for unknown address types instead of creating the items inside the previous expansion created



------------------------------------------------------------------------
r18870 | jmayer | 2006-08-10 05:21:44 -0500 (Thu, 10 Aug 2006) | 3 lines
Changed paths:
   M /trunk/doc/README.developer

Stephen Fisher:
        This patch fixes two typos in README.developer

------------------------------------------------------------------------
r18869 | jmayer | 2006-08-10 05:09:31 -0500 (Thu, 10 Aug 2006) | 22 lines
Changed paths:
   M /trunk/epan/packet.c

Neil Piercy:

I've just had a bug in one of our private dissectors which meant
that the handle passed to call_dissector was null. This seemed to give
varying behavior - on some Windows installations it hit wireshark's
in-built exception handling, and displayed that the dissector had an
error (correct), but on some installations it just crashed wireshark
(not helpful). I _think_ the difference was whether MSVC was installed
or not, but on a sample of only 3 machines.

Should call_dissector include explicit null handle checks, and if so,
should it:-

a) g_assert - the simple patch attached
b) fallback to doing a data decode (as disabled protocols do)
c) try to invoke the wireshark exception handling for the packet

Or is the correct answer none of the above - the exception handler
should already cope ?

        

------------------------------------------------------------------------
r18868 | jmayer | 2006-08-10 04:55:04 -0500 (Thu, 10 Aug 2006) | 1 line
Changed paths:
   M /trunk/asn1/h225
   M /trunk/asn1/h245

Update svn:ignore
------------------------------------------------------------------------
r18867 | jmayer | 2006-08-10 04:19:03 -0500 (Thu, 10 Aug 2006) | 1 line
Changed paths:
   M /trunk/doc/capinfos.pod
   M /trunk/doc/dumpcap.pod
   M /trunk/doc/editcap.pod
   M /trunk/doc/idl2wrs.pod
   M /trunk/doc/mergecap.pod
   M /trunk/doc/text2pcap.pod
   M /trunk/doc/tshark.pod
   M /trunk/doc/wireshark.pod

Add some programs to 'see also'
------------------------------------------------------------------------
r18866 | jmayer | 2006-08-10 04:02:24 -0500 (Thu, 10 Aug 2006) | 6 lines
Changed paths:
   M /trunk/asn1/h225/Makefile
   M /trunk/asn1/h225/h225-exp.cnf
   M /trunk/asn1/h225/packet-h225-template.h
   M /trunk/asn1/h245/Makefile
   M /trunk/asn1/h245/h245-exp.cnf
   M /trunk/asn1/h245/packet-h245-template.h
   M /trunk/epan/dissectors/packet-h225.c
   M /trunk/epan/dissectors/packet-h225.h
   M /trunk/epan/dissectors/packet-h245.c
   M /trunk/epan/dissectors/packet-h245.h

Fix for http://bugs.wireshark.org/bugzilla/show_bug.cgi?id=1014
provided by markdrago@mail.com.

Me: Patch template files instead and regenerate the dissector files.
    Fix Makefiles to use the correct asn filenames.

------------------------------------------------------------------------
r18865 | sahlberg | 2006-08-10 02:35:26 -0500 (Thu, 10 Aug 2006) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-kerberos.c

this is a blob not a policyhandle


------------------------------------------------------------------------
r18864 | jake | 2006-08-10 01:24:50 -0500 (Thu, 10 Aug 2006) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ansi_637.c

From: Michael Lum
Small ANSI-637 patch for identifying more Teleservice

------------------------------------------------------------------------
r18863 | kukosa | 2006-08-10 01:06:21 -0500 (Thu, 10 Aug 2006) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-ssl-utils.c
   M /trunk/epan/epan.c

GnuTLS/libgcrypt initialization moved to epan.c
------------------------------------------------------------------------
r18862 | jmayer | 2006-08-09 22:11:33 -0500 (Wed, 09 Aug 2006) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-isakmp.c

efung@certicom.com:
        Patch adding MOBIKE support to packet-isakmp.c

------------------------------------------------------------------------
r18861 | jmayer | 2006-08-09 20:59:41 -0500 (Wed, 09 Aug 2006) | 5 lines
Changed paths:
   M /trunk/plugins/rudp/packet-rudp.c

rudp used a port that a) collides with afs and b) violates
the port requirements from the draft rfc.
Make the portnumber a configureable variable and set it to 0
by default.

------------------------------------------------------------------------
r18860 | martinm | 2006-08-09 12:23:10 -0500 (Wed, 09 Aug 2006) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-rtcp.c

Minor TBCP fixes
------------------------------------------------------------------------
r18859 | sahlberg | 2006-08-09 06:25:20 -0500 (Wed, 09 Aug 2006) | 7 lines
Changed paths:
   M /trunk/epan/dissectors/packet-kerberos.c

metze pointed out that the last four bytes of the 20 byte blob prepenfing the ndr encoded data in the pac must be a unique pointer


make sense,   decode it as a unique pointer then



------------------------------------------------------------------------
r18858 | sahlberg | 2006-08-09 03:25:01 -0500 (Wed, 09 Aug 2006) | 5 lines
Changed paths:
   M /trunk/epan/dissectors/packet-dcerpc-netlogon.c
   M /trunk/epan/dissectors/packet-dcerpc-netlogon.h
   M /trunk/epan/dissectors/packet-kerberos.c

decode the field of type 11

(it could theoretically also be a union with arm:1 selected instead of a conformant array)


------------------------------------------------------------------------
r18857 | sahlberg | 2006-08-09 02:37:57 -0500 (Wed, 09 Aug 2006) | 15 lines
Changed paths:
   M /trunk/epan/dissectors/packet-kerberos.c

testing the win32 decryp[tion out  i noticed a lot of new previously not decoded info in the captures for constrained delegation on the Kerberos wiki page.


a new bit 0x00020000 is usde in the TGS-REQ packets and this results in a return of a PAC containing an unknown type 11 field.


the blob in the pac is 200 bytes and NDR encoded.   its structure is obvious since it contains 2 conformant and varying arrays  and three unique pointers.



enable decoding of this new KDCOptions bit and call it "constrained delegation"




------------------------------------------------------------------------
r18856 | gerald | 2006-08-08 21:00:05 -0500 (Tue, 08 Aug 2006) | 13 lines
Changed paths:
   M /trunk/Makefile.nmake
   M /trunk/config.h.win32
   M /trunk/config.nmake
   M /trunk/epan/dissectors/packet-ipsec.c
   M /trunk/tools/win32-setup.sh

Point to the newest (1.5.0-1) GnuTLS package.  Since it contains
libgcrypt, enable it in the Windows build.

In packet-ipsec.c:

  - Remove non-constants from variable declaration initializations.
  - Use ep_alloc() in a couple of places.
  - Fix an off-by-one error.
  - Reduce the number of SAs in the preferences from 4 to 2.  4 made the
    preferences window absolutely enormous.  This is probably the wrong
    way to fix this.
  - Fix up whitespace.

------------------------------------------------------------------------
r18855 | etxrab | 2006-08-08 16:32:44 -0500 (Tue, 08 Aug 2006) | 1 line
Changed paths:
   M /trunk/asn1/Makefile.am
   M /trunk/asn1/Makefile.nmake
   M /trunk/asn1/rnsap/packet-rnsap-template.c
   M /trunk/asn1/rnsap/rnsap.cnf
   A /trunk/asn1/umts_rrc
   A /trunk/asn1/umts_rrc/Makefile
   A /trunk/asn1/umts_rrc/Makefile.nmake
   A /trunk/asn1/umts_rrc/packet-umts_rrc-template.c
   A /trunk/asn1/umts_rrc/packet-umts_rrc-template.h
   A /trunk/asn1/umts_rrc/umts_rrc-exp.cnf
   A /trunk/asn1/umts_rrc/umts_rrc.cnf
   A /trunk/asn1/umts_rrc/umts_rrc_Class-definitions.asn
   A /trunk/asn1/umts_rrc_Internode-defs
   A /trunk/asn1/umts_rrc_Internode-defs/Makefile
   A /trunk/asn1/umts_rrc_Internode-defs/Makefile.nmake
   A /trunk/asn1/umts_rrc_Internode-defs/packet-umts_rrc_internode-defs-template.c
   A /trunk/asn1/umts_rrc_Internode-defs/packet-umts_rrc_internode-defs-template.h
   A /trunk/asn1/umts_rrc_Internode-defs/umts_rrc_Internode-definitions.asn
   A /trunk/asn1/umts_rrc_Internode-defs/umts_rrc_internode-defs-exp.cnf
   A /trunk/asn1/umts_rrc_Internode-defs/umts_rrc_internode-defs.cnf
   A /trunk/asn1/umts_rrc_ies
   A /trunk/asn1/umts_rrc_ies/Makefile
   A /trunk/asn1/umts_rrc_ies/Makefile.nmake
   A /trunk/asn1/umts_rrc_ies/packet-umts_rrc_ies-template.c
   A /trunk/asn1/umts_rrc_ies/packet-umts_rrc_ies-template.h
   A /trunk/asn1/umts_rrc_ies/umts_rrc_InformationElements.asn
   A /trunk/asn1/umts_rrc_ies/umts_rrc_ies-exp.cnf
   A /trunk/asn1/umts_rrc_ies/umts_rrc_ies.cnf
   A /trunk/asn1/umts_rrc_pdu_def
   A /trunk/asn1/umts_rrc_pdu_def/Makefile
   A /trunk/asn1/umts_rrc_pdu_def/Makefile.nmake
   A /trunk/asn1/umts_rrc_pdu_def/packet-umts_rrc_pdu_def-template.c
   A /trunk/asn1/umts_rrc_pdu_def/packet-umts_rrc_pdu_def-template.h
   A /trunk/asn1/umts_rrc_pdu_def/umts_rrc_PDU-definitions.asn
   A /trunk/asn1/umts_rrc_pdu_def/umts_rrc_pdu_def-exp.cnf
   A /trunk/asn1/umts_rrc_pdu_def/umts_rrc_pdu_def.cnf
   M /trunk/epan/dissectors/Makefile.common
   M /trunk/epan/dissectors/packet-rnsap.c
   A /trunk/epan/dissectors/packet-umts_rrc.c
   A /trunk/epan/dissectors/packet-umts_rrc.h
   A /trunk/epan/dissectors/packet-umts_rrc_ies.c
   A /trunk/epan/dissectors/packet-umts_rrc_ies.h
   A /trunk/epan/dissectors/packet-umts_rrc_pdu_def.c
   A /trunk/epan/dissectors/packet-umts_rrc_pdu_def.h

Routines for Universal Mobile Telecommunications System (UMTS) Radio Resource Control (RRC) (umts_rrc) dissection.
------------------------------------------------------------------------
r18854 | ulfl | 2006-08-08 16:28:14 -0500 (Tue, 08 Aug 2006) | 1 line
Changed paths:
   M /trunk/plugins/profinet/packet-dcerpc-pn-io.c

several minor fixes and enhancements to the dissection
------------------------------------------------------------------------
r18853 | jake | 2006-08-08 14:54:37 -0500 (Tue, 08 Aug 2006) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-bfd.c

From: Bálint Réczey:
The attached patch fixes decoding of message flags in BFD control packets.
------------------------------------------------------------------------
r18852 | sahlberg | 2006-08-08 02:52:15 -0500 (Tue, 08 Aug 2006) | 3 lines
Changed paths:
   M /trunk/Makefile.nmake
   M /trunk/config.nmake

enable kerberos for windows for the win32 build


------------------------------------------------------------------------
r18851 | jake | 2006-08-07 16:34:48 -0500 (Mon, 07 Aug 2006) | 1 line
Changed paths:
   M /trunk/docbook/wsug_src/WSUG_chapter_advanced.xml
   M /trunk/docbook/wsug_src/WSUG_chapter_capture.xml

From Brian Drab: Several comments and typo's
------------------------------------------------------------------------
r18850 | gerald | 2006-08-07 14:52:18 -0500 (Mon, 07 Aug 2006) | 5 lines
Changed paths:
   M /trunk/Makefile.nmake
   M /trunk/config.nmake
   M /trunk/epan/dissectors/packet-ssl.c
   M /trunk/packaging/nsis/Makefile.nmake
   M /trunk/packaging/nsis/wireshark.nsi
   M /trunk/tools/win32-setup.sh

Add GNUTLS to the Windows build.  

In packet-ssl.c, move ssl_set_debug() up a bit so that we can debug key
file parsing.

------------------------------------------------------------------------
r18849 | martinm | 2006-08-07 12:10:59 -0500 (Mon, 07 Aug 2006) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-sipfrag.c

Tidy up comments, var names, remove pedantic warnings
------------------------------------------------------------------------
r18848 | martinm | 2006-08-07 12:08:11 -0500 (Mon, 07 Aug 2006) | 1 line
Changed paths:
   M /trunk/wiretap/catapult_dct2000.c

Wasn't allocating big enough frame buffer!
------------------------------------------------------------------------
r18847 | gerald | 2006-08-07 09:47:52 -0500 (Mon, 07 Aug 2006) | 2 lines
Changed paths:
   M /trunk/tools/win32-setup.sh

Point to the latest archive.

------------------------------------------------------------------------
r18846 | sahlberg | 2006-08-07 05:35:26 -0500 (Mon, 07 Aug 2006) | 2 lines
Changed paths:
   M /trunk/asn1/ldap/packet-ldap-template.c
   M /trunk/epan/dissectors/packet-ldap.c

marik the request_in/response_to/time  as generated fields

------------------------------------------------------------------------
r18845 | sahlberg | 2006-08-07 05:29:39 -0500 (Mon, 07 Aug 2006) | 3 lines
Changed paths:
   M /trunk/asn1/ldap/packet-ldap-template.c
   M /trunk/epan/dissectors/packet-ldap.c

dissect nTSecurityDescriptor attribute as a security descriptor


------------------------------------------------------------------------
r18844 | sahlberg | 2006-08-07 05:19:37 -0500 (Mon, 07 Aug 2006) | 3 lines
Changed paths:
   M /trunk/asn1/ldap/packet-ldap-template.c
   M /trunk/epan/dissectors/packet-ldap.c

objectSid attribute contains a sid   so decode it nively as a sid


------------------------------------------------------------------------
r18843 | sahlberg | 2006-08-06 09:31:58 -0500 (Sun, 06 Aug 2006) | 3 lines
Changed paths:
   M /trunk/asn1/ldap/packet-ldap-template.c
   M /trunk/epan/dissectors/packet-ldap.c

add some more oid's


------------------------------------------------------------------------
r18842 | sahlberg | 2006-08-06 09:04:07 -0500 (Sun, 06 Aug 2006) | 7 lines
Changed paths:
   M /trunk/asn1/ldap/packet-ldap-template.c
   M /trunk/epan/dissectors/packet-ldap.c

the ldap values for supportedControl and supportedCapabilities is an oid in ascii format.

resolve it into a anme if possible and present it.




------------------------------------------------------------------------
r18841 | sahlberg | 2006-08-06 08:13:42 -0500 (Sun, 06 Aug 2006) | 6 lines
Changed paths:
   M /trunk/asn1/ldap/ldap.cnf
   M /trunk/asn1/ldap/packet-ldap-template.c
   M /trunk/epan/dissectors/packet-ldap.c

"objectGUID" should be dissected as a GUID

also change the name of one of the strings we keep around since it is more generic than just used for attributeassertions



------------------------------------------------------------------------
r18840 | sahlberg | 2006-08-05 00:12:09 -0500 (Sat, 05 Aug 2006) | 3 lines
Changed paths:
   M /trunk/packaging/nsis/Makefile.nmake
   M /trunk/packaging/nsis/wireshark.nsi

make nsis build aware of kerberos for windows if it is available


------------------------------------------------------------------------
r18839 | sahlberg | 2006-08-04 23:41:42 -0500 (Fri, 04 Aug 2006) | 4 lines
Changed paths:
   M /trunk/Makefile.nmake

if KFW is enabled, we need to temporarily copy the two required DLLs to the build directory since they are required during the build



------------------------------------------------------------------------
r18838 | sahlberg | 2006-08-04 23:32:57 -0500 (Fri, 04 Aug 2006) | 6 lines
Changed paths:
   M /trunk/Makefile.nmake
   M /trunk/config.h.win32
   M /trunk/config.nmake
   M /trunk/epan/Makefile.nmake
   M /trunk/epan/dissectors/Makefile.nmake

config and makefile magic we need when we integrate kerberos for windows with the w32 build


disabled for now


------------------------------------------------------------------------
r18837 | jmayer | 2006-08-04 11:30:54 -0500 (Fri, 04 Aug 2006) | 1 line
Changed paths:
   M /trunk/tools/randpkt-test.sh

It's not only executable but a script as well: propset eol-style + keywords
------------------------------------------------------------------------
r18836 | gerald | 2006-08-04 09:43:48 -0500 (Fri, 04 Aug 2006) | 2 lines
Changed paths:
   M /trunk/epan/Makefile.nmake

ethereal -> wireshark.

------------------------------------------------------------------------
r18835 | martinm | 2006-08-04 05:16:10 -0500 (Fri, 04 Aug 2006) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-aim-sst.c

Checked also needed here - remove wrong comment
------------------------------------------------------------------------
r18834 | martinm | 2006-08-04 05:02:21 -0500 (Fri, 04 Aug 2006) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-aim-sst.c

There may be no icon data
------------------------------------------------------------------------
r18833 | jake | 2006-08-04 00:54:38 -0500 (Fri, 04 Aug 2006) | 5 lines
Changed paths:
   M /trunk/epan/dissectors/packet-exec.c

From: Stephen Fisher
I was looking at the dissector I wrote recently, packet-exec.c, to remember 
how to handle conversations and I noticed a comment that isn't clear. 
It would throw someone off because it isn't how the dissector was finally written :).  

------------------------------------------------------------------------
r18832 | sahlberg | 2006-08-03 19:36:25 -0500 (Thu, 03 Aug 2006) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-scsi.c

check that itl is non-NULL to prevent a NULL pointer dereference that would crash the windows build     but funnily enough not linux (since you can read from the null page on linux?)



------------------------------------------------------------------------
r18831 | gerald | 2006-08-03 16:45:55 -0500 (Thu, 03 Aug 2006) | 2 lines
Changed paths:
   M /trunk/AUTHORS

Credit Jakob Bratkovic with multicast stream analysis support.

------------------------------------------------------------------------
r18830 | jake | 2006-08-03 15:24:24 -0500 (Thu, 03 Aug 2006) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-ipv6.c

Fix bug 1027: pinfo.iplen should contain option length as well
------------------------------------------------------------------------
r18829 | martinm | 2006-08-03 09:51:45 -0500 (Thu, 03 Aug 2006) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-sip.c

Add an expert item to indicate unrecognised SIP headers.  Useful for finding:
- encoding problems or use of exotic extensions in equipment
- headers missing from the SIP dissector

------------------------------------------------------------------------
r18828 | gerald | 2006-08-02 16:19:56 -0500 (Wed, 02 Aug 2006) | 2 lines
Changed paths:
   M /trunk/tools/randpkt-test.sh

Make the output file name a little more descriptive.

------------------------------------------------------------------------
r18827 | etxrab | 2006-08-02 15:01:20 -0500 (Wed, 02 Aug 2006) | 5 lines
Changed paths:
   M /trunk/test/suite-clopts.sh

From Richard van der Hoff:
An error message has been changed, such that the commandline options 
test doesn't work any more.

This patch fixes the test accordingly.
------------------------------------------------------------------------
r18826 | etxrab | 2006-08-02 14:58:36 -0500 (Wed, 02 Aug 2006) | 2 lines
Changed paths:
   M /trunk/capture_sync.c

From Richard van der Hoff:
This patch fixes a couple of comments in capture_sync.c.
------------------------------------------------------------------------
r18825 | etxrab | 2006-08-02 14:50:04 -0500 (Wed, 02 Aug 2006) | 5 lines
Changed paths:
   M /trunk/epan/conversation.c

From Peter Johansson:
the supplied patch fixes a problem where the options value should really be used from the conversation found (using
conversation_lookup_hashtable(...) to create a new conversation based on the already stored conversation template (the CONVERSATION_TEMPLATE bit is set in the stored conversation) rather from the options argument passed to the function(s).

This solves a problem that otherwise shows itself where "DISSECTOR_ASSERT(!(conv->options & CONVERSATION_TEMPLATE) && "Use the conversation_create_from_template function when the CONVERSATION_TEMPLATE bit is set in the options mask");" fails sometimes.
------------------------------------------------------------------------
r18824 | gerald | 2006-08-02 13:59:29 -0500 (Wed, 02 Aug 2006) | 2 lines
Changed paths:
   A /trunk/tools/randpkt-test.sh

Add a script for randpkt testing.  Copied from fuzz-test.sh.

------------------------------------------------------------------------
r18823 | etxrab | 2006-08-02 12:13:22 -0500 (Wed, 02 Aug 2006) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/Makefile.common
   A /trunk/epan/dissectors/packet-daytime.c

From Stephen Fisher:
This patch adds a new dissector for the daytime protocol (like the time
protocol, but the date and time is send as a text string).  This protocol and
dissector work s over TCP or UDP.
------------------------------------------------------------------------
r18822 | etxrab | 2006-08-02 12:01:38 -0500 (Wed, 02 Aug 2006) | 5 lines
Changed paths:
   M /trunk/epan/dissectors/packet-time.c

From Stephen Fisher:
The time protocol (port 37) dissector (packet-time.c) currently only supports
UDP.  The protocol has an identical implementation over TCP as well.  This
patch adds support to the dissector for TCP time in addition to the UDP time
packets
------------------------------------------------------------------------
r18821 | etxrab | 2006-08-02 11:56:33 -0500 (Wed, 02 Aug 2006) | 6 lines
Changed paths:
   M /trunk/epan/dissectors/packet-cdp.c

From Stephen Fisher:
This patch adds the most commonly referenced items from CDP frames to the info
column: the device id (hostname) and port id.  For example:

Cisco Discovery Protocol  Device ID: myswitch.me.com  Port ID:
GigabitEthernet7/12
------------------------------------------------------------------------
r18820 | martinm | 2006-08-02 11:00:07 -0500 (Wed, 02 Aug 2006) | 6 lines
Changed paths:
   M /trunk/epan/dissectors/packet-rtcp.c

Update to TBCP ("PoC1" application).  This is based on the "Approved Version 1.0   09 Jun 2006"
- updated to the current (approved) spec.  I'm not sure how backwards-compatible this is with older drafts...
- prettified the existing code, including more details in the info column

Also included is a fix to the way the offset at the end of an RTCP BYE packet is calculated (taking into account the NULL.  This avoids the 'length wrong' expert item) 

------------------------------------------------------------------------
r18819 | martinm | 2006-08-02 08:23:57 -0500 (Wed, 02 Aug 2006) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-ssl-utils.h

Try to fix build by including packet.h
------------------------------------------------------------------------
r18818 | martinm | 2006-08-02 04:30:28 -0500 (Wed, 02 Aug 2006) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-catapult-dct2000.c
   M /trunk/wiretap/catapult_dct2000.c

- Removes last traces of 'board ports only' preference (other than marking it as an obselete preference)
- Add a preference to try to find messages within sctp primitive messages (tries renaming of known mismatches)
- Add outhdr to stub protocol (getting ready for IuB FP)

------------------------------------------------------------------------
r18817 | martinm | 2006-08-02 04:14:31 -0500 (Wed, 02 Aug 2006) | 1 line
Changed paths:
   M /trunk/epan/proto.c

Fix for bug 1023 (problem with 'apply as filter' strings)
------------------------------------------------------------------------
r18816 | sahlberg | 2006-08-02 03:15:51 -0500 (Wed, 02 Aug 2006) | 5 lines
Changed paths:
   M /trunk/epan/dissectors/packet-dtls.c
   M /trunk/epan/dissectors/packet-ssl-utils.c
   M /trunk/epan/dissectors/packet-ssl-utils.h
   M /trunk/epan/dissectors/packet-ssl.c

from a. samuel

ssl and dtls updates


------------------------------------------------------------------------
r18815 | etxrab | 2006-08-01 16:29:05 -0500 (Tue, 01 Aug 2006) | 2 lines
Changed paths:
   M /trunk/tools/lemon/lempar.c

Update lempar to sqlittes version 1.18
http://www.sqlite.org/cvstrac/rlog?f=sqlite/tool/lempar.c
------------------------------------------------------------------------
r18814 | jmayer | 2006-08-01 15:28:32 -0500 (Tue, 01 Aug 2006) | 7 lines
Changed paths:
   M /trunk/configure.in

# Ugly hack, but I don't see how this problem can be solved
# properly that DATAFILE_DIR had a value starting with
# "${prefix}/" instead of e.g. "/usr/local/"

That problem occurs only with current versions of autoconf


------------------------------------------------------------------------
r18813 | jmayer | 2006-08-01 14:52:36 -0500 (Tue, 01 Aug 2006) | 14 lines
Changed paths:
   M /trunk/gtk/main.c
   M /trunk/tshark.c

Reported by Stephen Fisher <stephentfisher@yahoo.com>:
	
I believe this is a typo in the command line help for the -i option:

Usage: wireshark [options] ... [ <infile> ]

Capture interface:
  -i <interface>           name or idx of interface (def: first none
loopback)

Shouldn't that read "first non-loopback" ?



------------------------------------------------------------------------
r18812 | tuexen | 2006-08-01 13:06:35 -0500 (Tue, 01 Aug 2006) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-sctp.c

Adopt the chunk list parameter name to the notion used in the next version
of the ID.

------------------------------------------------------------------------
r18811 | martinm | 2006-08-01 12:20:13 -0500 (Tue, 01 Aug 2006) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-ms-mms.c
   M /trunk/epan/dissectors/packet-rdt.c

Fix some fussy warnings seen on the Ubuntu buildbot logs
------------------------------------------------------------------------
r18810 | martinm | 2006-08-01 12:15:31 -0500 (Tue, 01 Aug 2006) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-msrp.c

Fix a duplicate MSRP filter string
------------------------------------------------------------------------
r18809 | martinm | 2006-08-01 12:07:28 -0500 (Tue, 01 Aug 2006) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-diameter.c

Delete leftover printf
------------------------------------------------------------------------
r18808 | guy | 2006-07-31 16:11:54 -0500 (Mon, 31 Jul 2006) | 5 lines
Changed paths:
   M /trunk/INSTALL

Update to deal with GTK+ and GLib 2.x, where you use "pkg-config" to see
what version is installed, if any.

Clean up indentation.

------------------------------------------------------------------------
r18807 | etxrab | 2006-07-28 16:41:53 -0500 (Fri, 28 Jul 2006) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/Makefile.common
   A /trunk/epan/dissectors/packet-lsc.c

From Sean Sheedy:
A disassembly module I wrote for Pegasus Lightweight Stream Control, a protocol used by some cable set-top boxes for video-on-demand.
------------------------------------------------------------------------
r18806 | etxrab | 2006-07-28 16:26:39 -0500 (Fri, 28 Jul 2006) | 9 lines
Changed paths:
   M /trunk/epan/dissectors/Makefile.common
   M /trunk/epan/dissectors/packet-msrp.c
   A /trunk/epan/dissectors/packet-msrp.h
   M /trunk/epan/dissectors/packet-sdp.c

From Martin Mathieson:

- allow SDP to parse the IP address + port for the MSRP session from the 
path attribute
- setup an MSRP conversation using this address, whose data points back 
to the SDP frame
- link to the SDP setup frame while dissecting MSRP (can be switched off 
by a preference)
- I also changed sdp.media.port to be a numeric field
------------------------------------------------------------------------
r18805 | lego | 2006-07-28 11:40:46 -0500 (Fri, 28 Jul 2006) | 5 lines
Changed paths:
   M /trunk/epan/dissectors/packet-rtcp.c

as per RFC 3611 - 4.1.1 run length is 14 bits not 15.

Fixes Bug 1022


------------------------------------------------------------------------
r18804 | sahlberg | 2006-07-28 02:50:05 -0500 (Fri, 28 Jul 2006) | 18 lines
Changed paths:
   M /trunk/asn1/h450/packet-h450-template.c
   M /trunk/epan/dissectors/packet-h450.c
   M /trunk/epan/dissectors/packet-h450.h

fropm martin m

fix for h450 to prevent an assertion for uninitialized hffields



Thanks for the capture, Keith.  The problem was with h450 hf fields that
weren't initialised sucessfully (at all in one case, or with non-unique
filter strings in several others) - it was hitting an assertion in proto.c
when an attempt was made to use those fields.

I was able to test by editing packet-h450.c directly, I couldn't regenerate
it from packet-h450-template.c.  I'm attaching a patch to
packet-h450-template.c that hopefully does the same thing.  If someone can
generate and check it packet-h450.c in for me I'll retest.



------------------------------------------------------------------------
r18803 | jmayer | 2006-07-27 23:04:55 -0500 (Thu, 27 Jul 2006) | 2 lines
Changed paths:
   A /trunk/debian/patches/08_wireshark-desktop-menu.dpatch
   A /trunk/debian/patches/09_idl2wrs.dpatch
   A /trunk/debian/patches/10_wireshark_gen.dpatch

Forgot to check in the new files during last commit.

------------------------------------------------------------------------
r18802 | guy | 2006-07-27 20:22:59 -0500 (Thu, 27 Jul 2006) | 4 lines
Changed paths:
   M /trunk/docbook/wsug_src/WSUG_chapter_build_install.xml

Update to reflect changes in libpcap 0.9.x.  ("make install" installs
the headers as well as the libraries, and nothing gets installed in
".../include/net".)

------------------------------------------------------------------------
r18801 | gerald | 2006-07-27 12:59:05 -0500 (Thu, 27 Jul 2006) | 2 lines
Changed paths:
   M /trunk/Makefile.nmake

Fix editcap compilation under Windows.

------------------------------------------------------------------------
r18800 | gerald | 2006-07-27 12:53:29 -0500 (Thu, 27 Jul 2006) | 3 lines
Changed paths:
   M /trunk/Makefile.common
   M /trunk/doc/editcap.pod
   M /trunk/docbook/wsug_src/WSUG_app_tools.xml
   M /trunk/editcap.c

Add duplicate frame detection (and removal) to editcap.  (Some switches
generate duplicate packets when a mirror/SPAN port is misconfigured).

------------------------------------------------------------------------
r18799 | jmayer | 2006-07-27 12:15:34 -0500 (Thu, 27 Jul 2006) | 4 lines
Changed paths:
   M /trunk/debian/README.debian
   M /trunk/debian/changelog
   M /trunk/debian/control
   M /trunk/debian/copyright
   M /trunk/debian/patches/00list
   M /trunk/debian/patches/01_idl2deb.dpatch
   M /trunk/debian/patches/02_asn2deb.dpatch
   M /trunk/debian/patches/03_preferences.dpatch
   M /trunk/debian/patches/04_drop-capabilities.dpatch
   M /trunk/debian/patches/05_plugin-libdir.dpatch
   M /trunk/debian/patches/06_giop-buffer.dpatch
   M /trunk/debian/patches/07_gcc4.dpatch
   M /trunk/debian/rules
   M /trunk/debian/tshark.files
   M /trunk/debian/tshark.manpages
   M /trunk/debian/wireshark-common.files
   M /trunk/debian/wireshark-common.manpages
   M /trunk/debian/wireshark-dev.docs
   M /trunk/debian/wireshark-dev.files
   M /trunk/debian/wireshark-dev.header-files
   M /trunk/debian/wireshark-dev.manpages
   M /trunk/debian/wireshark-dev.postinst
   M /trunk/debian/wireshark-dev.prerm
   M /trunk/debian/wireshark-root.desktop
   M /trunk/debian/wireshark.files
   M /trunk/debian/wireshark.manpages
   M /trunk/debian/wireshark.menu

Frederic Peters <fpeters@debian.org>:
	Update to match the current debian package


------------------------------------------------------------------------
r18798 | jmayer | 2006-07-27 09:19:10 -0500 (Thu, 27 Jul 2006) | 9 lines
Changed paths:
   M /trunk/gtk/rtp_analysis.c

Alex Shnitman <AlexS@mangodsp.com>
	Below is a patch for a bug in rtp_analysis.c. The variable
	statinfo->delta_timestamp was not initialized in all the
	necessary cases. The function rtp_packet_save_payload uses this
	variable and the for loop on line 935 could use an old value
	and run an incorrect amount of times, e.g. a couple billion,
	which gets ethereal stuck. I can supply an example capture
	which causes it. The patch solves the problem.

------------------------------------------------------------------------
r18797 | kukosa | 2006-07-27 00:55:50 -0500 (Thu, 27 Jul 2006) | 1 line
Changed paths:
   M /trunk/tools/lex.py
   M /trunk/tools/yacc.py

PLY updated to version 1.7
------------------------------------------------------------------------
r18796 | guy | 2006-07-26 18:22:28 -0500 (Wed, 26 Jul 2006) | 6 lines
Changed paths:
   M /trunk/wiretap/nettl.c

The nettl_file_hdr structure has a fixed format, as it's an on-disk data
structure.  Instead of making the host_name field bigger, make the thing
we put in it smaller.

Use that structure when reading files as well as when writing them.

------------------------------------------------------------------------
r18795 | lego | 2006-07-26 17:54:48 -0500 (Wed, 26 Jul 2006) | 3 lines
Changed paths:
   M /trunk/epan/dtd_parse.l

a better regex for names in DTDs


------------------------------------------------------------------------
r18794 | jmayer | 2006-07-26 01:38:16 -0500 (Wed, 26 Jul 2006) | 6 lines
Changed paths:
   M /trunk/wiretap/nettl.c

postadal@suse.cz:
	Bufferoverflow caused by ethereal->wireshark rename
	(ws is 1 char longer).
	http://bugs.wireshark.org/bugzilla/show_bug.cgi?id=1015


------------------------------------------------------------------------
r18793 | guy | 2006-07-25 21:37:39 -0500 (Tue, 25 Jul 2006) | 2 lines
Changed paths:
   M /trunk/dtds/dc.dtd
   M /trunk/dtds/itunes.dtd
   M /trunk/dtds/rss.dtd
   M /trunk/dtds/smil.dtd

Get rid of CRs at the ends of lines.

------------------------------------------------------------------------
r18792 | jake | 2006-07-25 08:45:54 -0500 (Tue, 25 Jul 2006) | 2 lines
Changed paths:
   M /trunk/packaging/nsis/wireshark.nsi

Fix update URL in Win32 installer

------------------------------------------------------------------------
r18791 | jake | 2006-07-25 04:21:41 -0500 (Tue, 25 Jul 2006) | 6 lines
Changed paths:
   M /trunk/gtk/voip_calls.c

From: Martin Mathieson 
I'm not sure if this will help with the problems that Keith French is
seeing, but when I loaded some of my old H.323 traces, one of them would
assert/abort.  This patch fixes that assertion (looks like it was obviously
asserting on the wrong pointer variable).

------------------------------------------------------------------------
r18790 | jmayer | 2006-07-25 00:17:17 -0500 (Tue, 25 Jul 2006) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-cisco-wids.c

One of the bytes in the cisco header is the channel number that
the AP received the frame.

------------------------------------------------------------------------
r18789 | jmayer | 2006-07-25 00:15:00 -0500 (Tue, 25 Jul 2006) | 5 lines
Changed paths:
   M /trunk/configure.in

Jeff Morriss:
	According to this page:
	http://lists.gnupg.org/pipermail/gnupg-announce/2003q3/000155.html
	the 'gcry_cipher_hd_t' structure didn't show up until 1.1.42.

------------------------------------------------------------------------
r18788 | gerald | 2006-07-24 11:47:20 -0500 (Mon, 24 Jul 2006) | 2 lines
Changed paths:
   M /trunk/gtk/win32-file-dlg.h

Add a license blurb.

------------------------------------------------------------------------
r18787 | sahlberg | 2006-07-22 17:15:15 -0500 (Sat, 22 Jul 2006) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-bootparams.h
   M /trunk/epan/dissectors/packet-mount.h
   M /trunk/epan/dissectors/packet-nfs.h
   M /trunk/epan/dissectors/packet-nlm.h

licence info

------------------------------------------------------------------------
r18786 | sahlberg | 2006-07-22 17:11:54 -0500 (Sat, 22 Jul 2006) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-bootparams.h
   M /trunk/epan/dissectors/packet-nfs.h

add gpl licence

------------------------------------------------------------------------
r18785 | sahlberg | 2006-07-22 17:02:04 -0500 (Sat, 22 Jul 2006) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-nlm.h

add licence information

------------------------------------------------------------------------
r18784 | ulfl | 2006-07-22 06:33:24 -0500 (Sat, 22 Jul 2006) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-dcerpc.c

add some more "informational" (generated) fields to the dcerpc tree

these fields can help with the everyday work of the DCE/RPC (and upper) protocol dissections
------------------------------------------------------------------------
r18783 | ulfl | 2006-07-22 06:29:17 -0500 (Sat, 22 Jul 2006) | 1 line
Changed paths:
   M /trunk/print.c

print generated items in brackets [], just as we do it on the screen
------------------------------------------------------------------------
r18782 | sahlberg | 2006-07-21 22:24:28 -0500 (Fri, 21 Jul 2006) | 17 lines
Changed paths:
   M /trunk/epan/proto.c

from martin m

Hi,

This patch allows FT_NONE items to be built into filter expressions
(i.e. testing for their presence or absence rather than comparing with a
value) using the Apply|Prepare a Filter menus.  What drove me to add
this was having to type in !tcp.analysis.out_of_order.

Does this seem reasonable?

Regards,
Martin




------------------------------------------------------------------------
r18781 | sahlberg | 2006-07-21 22:06:32 -0500 (Fri, 21 Jul 2006) | 8 lines
Changed paths:
   M /trunk/epan/dissectors/packet-skinny.c

from Jeff Morriss

The attached patch makes the Skinny dissector "new style".  Please
consider it for inclusion.




------------------------------------------------------------------------
r18780 | sahlberg | 2006-07-21 20:44:10 -0500 (Fri, 21 Jul 2006) | 13 lines
Changed paths:
   M /trunk/AUTHORS
   M /trunk/epan/dissectors/packet-ajp13.c

 from ian abel

Hi,

The attached file should fix the following two bugs in the AJP dissector.

1) The dissector doesn't know about CPING/CPONG
2) The dissector misinterprets multiple requests in one connection if a
prior request has a Body request part.




------------------------------------------------------------------------
r18779 | kukosa | 2006-07-21 02:05:39 -0500 (Fri, 21 Jul 2006) | 2 lines
Changed paths:
   M /trunk/asn1/h225/H323-MESSAGES.asn
   M /trunk/asn1/h225/h225.cnf
   M /trunk/asn1/h245/MULTIMEDIA-SYSTEM-CONTROL.asn
   M /trunk/asn1/h245/h245-exp.cnf
   M /trunk/asn1/h245/h245.cnf
   M /trunk/epan/dissectors/packet-h225.c
   M /trunk/epan/dissectors/packet-h245.c
   M /trunk/epan/dissectors/packet-h245.h

H.225.0 update to version 6 (05/2006)
H.245 updated to version 13 (05/2006)
------------------------------------------------------------------------
r18778 | jmayer | 2006-07-21 01:50:16 -0500 (Fri, 21 Jul 2006) | 3 lines
Changed paths:
   M /trunk/wireshark.desktop

Change name from Ethereal to Wireshark, remove translations
of the name that will now be incorrect.

------------------------------------------------------------------------
r18777 | jmayer | 2006-07-20 17:25:04 -0500 (Thu, 20 Jul 2006) | 8 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ieee80211.c

Daniel Drake <dsd@gentoo.org>:
	The barker preamble bit is set when a station associates
	which does not support short preambles. When it is 0, short
	preambles are allowed.

Me: Add a reference to the spec stating the above.


------------------------------------------------------------------------
r18776 | gerald | 2006-07-20 16:29:45 -0500 (Thu, 20 Jul 2006) | 2 lines
Changed paths:
   M /trunk/epan/Makefile.nmake
   M /trunk/epan/proto.c
   M /trunk/plugins/asn1/packet-asn1.c

snprintf -> g_snprintf.  Fix up whitespace.

------------------------------------------------------------------------
r18775 | gerald | 2006-07-20 12:45:52 -0500 (Thu, 20 Jul 2006) | 2 lines
Changed paths:
   M /trunk/config.h.win32
   M /trunk/epan/dissectors/packet-btrfcomm.c

Remove remaining instances of NEED_SNPRINTF_H.  Fix up whitespace.

------------------------------------------------------------------------
r18774 | lego | 2006-07-20 12:32:10 -0500 (Thu, 20 Jul 2006) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-xml.c

From Mike Digou:
 - free the right object.


------------------------------------------------------------------------
r18773 | lego | 2006-07-20 12:23:58 -0500 (Thu, 20 Jul 2006) | 4 lines
Changed paths:
   M /trunk/epan/dtd_parse.l

allow for some uppercasing in names.
"fix" for Bug 1010


------------------------------------------------------------------------
r18772 | sahlberg | 2006-07-20 05:34:01 -0500 (Thu, 20 Jul 2006) | 3 lines
Changed paths:
   M /trunk/Makefile.am

remove another reference to snprintf


------------------------------------------------------------------------
r18771 | sahlberg | 2006-07-20 05:19:47 -0500 (Thu, 20 Jul 2006) | 5 lines
Changed paths:
   M /trunk/Makefile.common
   M /trunk/Makefile.nmake
   M /trunk/config.h.win32
   M /trunk/configure.in
   D /trunk/snprintf-imp.h
   D /trunk/snprintf.c
   D /trunk/snprintf.h

we dont need our own snprintf any more since we always use g_snprintf() instead.




------------------------------------------------------------------------
r18770 | sahlberg | 2006-07-20 04:21:32 -0500 (Thu, 20 Jul 2006) | 5 lines
Changed paths:
   M /trunk/epan/dissectors/packet-eapol.c

from michael stevens

fix an incorrect expression to decode keydata properly


------------------------------------------------------------------------
r18769 | etxrab | 2006-07-19 14:20:58 -0500 (Wed, 19 Jul 2006) | 3 lines
Changed paths:
   M /trunk/acinclude.m4
   M /trunk/plugins/lua/Makefile.am

From Bálint Réczey
- Added support for versioned lua libnames to aclocal.m4
- create generated elua_register.h from Makefile
------------------------------------------------------------------------
r18768 | etxrab | 2006-07-19 14:11:17 -0500 (Wed, 19 Jul 2006) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-diameter-defs.h

Add licence info.
------------------------------------------------------------------------
r18767 | etxrab | 2006-07-19 14:00:36 -0500 (Wed, 19 Jul 2006) | 4 lines
Changed paths:
   M /trunk/Makefile.am
   A /trunk/dtds/xcap-caps.dtd
   M /trunk/packaging/nsis/wireshark.nsi

From Martin Mathieson:

Here is a DTD for xcap-caps and changes needed to install it (nsi change 
is untested).
------------------------------------------------------------------------
r18766 | etxrab | 2006-07-19 13:51:25 -0500 (Wed, 19 Jul 2006) | 11 lines
Changed paths:
   M /trunk/epan/dissectors/packet-msrp.c

From Martin Mathieson:

This patch:
- adds headers found in later versions of the msrp drafts
- fixes a problem where wrong length values were used while parsing the 
request/status line and it was going beyond linelen
- "Transaktion" -> "Transaction"
- status code now appears as a numerical field
- removes unused parameters from check_msrp_header()
- tidies up some indentation
It has survived some fuzz-testing.
------------------------------------------------------------------------
r18765 | jmayer | 2006-07-19 10:08:46 -0500 (Wed, 19 Jul 2006) | 6 lines
Changed paths:
   M /trunk/Makefile.am

Fix to http://bugs.wireshark.org/bugzilla/show_bug.cgi?id=333
	The additional libs need to be added to the final linking
	stage of all programs using it - not just the libs that
	pull in the dependencies (that doesn't work on all platforms,
	just most).

------------------------------------------------------------------------
r18764 | jmayer | 2006-07-19 09:02:22 -0500 (Wed, 19 Jul 2006) | 7 lines
Changed paths:
   M /trunk/Makefile.am

Jeff Morriss:
  Fix for
	http://bugs.wireshark.org/bugzilla/show_bug.cgi?id=1006
	"wireshark link fails on systems with no TLS library but
	with grypt library (missing -lgrcyprt)"


------------------------------------------------------------------------
r18763 | gerald | 2006-07-19 08:41:59 -0500 (Wed, 19 Jul 2006) | 2 lines
Changed paths:
   M /trunk/epan/Makefile.am

Link libwireshark with libiconv if needed.

------------------------------------------------------------------------
r18762 | sahlberg | 2006-07-19 05:02:49 -0500 (Wed, 19 Jul 2006) | 8 lines
Changed paths:
   M /trunk/epan/dissectors/packet-smb.c

add two missing CHECK_BYTE_COUNT
to not cause an exception for clearly malformed packets


will resolve "bug" 987   (which is NOT a bug)



------------------------------------------------------------------------
r18761 | etxrab | 2006-07-18 16:16:02 -0500 (Tue, 18 Jul 2006) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-mysql.c

Remove leftover(?) plugin code.
------------------------------------------------------------------------
r18760 | gerald | 2006-07-18 13:48:19 -0500 (Tue, 18 Jul 2006) | 2 lines
Changed paths:
   M /trunk/doc/README.packaging

Fixes and updates.

------------------------------------------------------------------------
r18758 | gerald | 2006-07-18 10:54:03 -0500 (Tue, 18 Jul 2006) | 3 lines
Changed paths:
   M /trunk/config.h.win32
   M /trunk/epan/dissectors/packet-bacapp.c
   M /trunk/epan/dissectors/packet-bacapp.h
   M /trunk/epan/xmlstub.h

Apply The Written Word's patch from bug 333, which changes HAVE_ICONV_H
to HAVE_ICONV.

------------------------------------------------------------------------
r18757 | etxrab | 2006-07-18 01:15:22 -0500 (Tue, 18 Jul 2006) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-3g-a11.c

From Ravi Valmikam:
"Translate" MSID BCD digits and make them filterable, fixes bug
http://bugs.wireshark.org/bugzilla/show_bug.cgi?id=997
------------------------------------------------------------------------
